This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492522 - Package perl-Crypt-Blowfish seems not to be Required on Satellite 5.3.0, we might want to not ship it
Package perl-Crypt-Blowfish seems not to be Required on Satellite 5.3.0, we m...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Steve Salevan
:
Depends On: 492286
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-03-27 04:57 EDT by Tomas Lestach
Modified: 2009-09-10 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-27 04:57:58 EDT
Description of problem:

In case the package perl-Tie-EncryptedHash will be recognized as redundant on Satellite 5.3.0 (BZ #492286) and will be removed from the compose, there will be another non-required package: perl-Crypt-Blowfish to consider. Otherwise this BZ has no relevance.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090323.0 on i386
perl-Tie-EncryptedHash-1.21-4.4.el5.noarch.rpm
perl-Crypt-Blowfish-2.10-1.el5sat.i386.rpm

How reproducible:

Deterministic. (After BZ #492286 is solved)

Steps to Reproduce:
1. Install Satellite 5.3.0 and remove perl-Tie-EncryptedHash package accoring to BZ #492286.
2. Run rpm -q perl-Crypt-Blowfish, check that the package perl-Crypt-Blowfish is installed.
3. Run rpm -e perl-Crypt-Blowfish.
4. Run rpm -q perl-Crypt-Blowfish again, check that it's now been removed.
  
Actual results:

Package perl-Crypt-Blowfish is installed but it is not required by anything in the Satellite, so it can safely be removed.

Expected results:

Either the package should be Required by some other package, or it should not be on the compose.
Comment 1 Shannon Hughes 2009-03-30 10:55:00 EDT
request to remove this package from iso was sent to rel eng, ticket 38458
Comment 2 Shannon Hughes 2009-04-06 11:09:29 EDT
mass move to onqa
Comment 3 Steve Salevan 2009-04-08 12:40:13 EDT
# rpm -q perl-Tie-EncryptedHash
package perl-Tie-EncryptedHash is not installed
# rpm -q perl-Crypt-Blowfish
perl-Crypt-Blowfish-2.10-1.el5sat

perl-Crypt-Blowfish is still present, and perl-Tie-EncryptedHash was removed, so this unnecessary package redundancy still exists.

Moving to FAILS_QA, tested on 530-re20090403.2.
Comment 4 Shannon Hughes 2009-04-09 09:13:41 EDT
resubmitted ticket #39136 to remove these rpms from the sat 530 composes
Comment 5 Shannon Hughes 2009-04-13 11:57:08 EDT
mass move to onqa
Comment 6 Steve Salevan 2009-04-13 13:24:33 EDT
# rpm -q perl-Crypt-Blowfish
package perl-Crypt-Blowfish is not installed

Moving to VERIFIED, tested on 530-re20090409.1.
Comment 7 Preethi Thomas 2009-08-07 10:57:00 EDT
[root@sun-x4200-01 ~]# rpm -q perl-Crypt-Blowfish
package perl-Crypt-Blowfish is not installed
[root@sun-x4200-01 ~]# rpm -q perl-Tie-EncryptedHash
package perl-Tie-EncryptedHash is not installed
Comment 8 Brandon Perkins 2009-09-10 14:54:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.